From 9db5278dd41169ba9680ae5286d32ed4d785a02a Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Feb 01 2021 02:45:37 +0000
Subject: [PATCH 2076/2232] Ignore upper_case_acronyms clippy lint


    warning: name `CFG` contains a capitalized acronym
       --> gen/build/src/cfg.rs:350:9
        |
    350 |         CFG,
        |         ^^^ help: consider making the acronym lowercase, except the initial letter: `Cfg`
        |
        = note: `#[warn(clippy::upper_case_acronyms)]` on by default
        = help: for further information visit https://rust-lang.github.io/rust-clippy/master/index.html#upper_case_acronyms

---

diff --git a/gen/build/src/lib.rs b/gen/build/src/lib.rs
index 204c89f..fda387d 100644
--- a/gen/build/src/lib.rs
+++ b/gen/build/src/lib.rs
@@ -71,7 +71,8 @@
     clippy::struct_excessive_bools,
     clippy::too_many_arguments,
     clippy::too_many_lines,
-    clippy::toplevel_ref_arg
+    clippy::toplevel_ref_arg,
+    clippy::upper_case_acronyms
 )]
 
 mod cfg;
diff --git a/tests/ffi/lib.rs b/tests/ffi/lib.rs
index 32d739d..e8e9b65 100644
--- a/tests/ffi/lib.rs
+++ b/tests/ffi/lib.rs
@@ -8,7 +8,8 @@
     clippy::ptr_arg,
     clippy::trivially_copy_pass_by_ref,
     clippy::unnecessary_wraps,
-    clippy::unused_self
+    clippy::unused_self,
+    clippy::upper_case_acronyms
 )]
 
 pub mod cast;

